# Class InitiativeType

Object
CodeList<InitiativeType>
InitiativeType

All Implemented Interfaces:
  `Serializable, Comparable<InitiativeType>`

@UML(identifier="DS_InitiativeTypeCode", specification=ISO_19115) public final class InitiativeType extends CodeList<InitiativeType>
Type of aggregation activity in which datasets are related

Since:
  2.1
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final InitiativeType`
  `CAMPAIGN`
  Series of organized planned actions.
  `static final InitiativeType`
  `COLLECTION`
  Accumulation of datasets assembled for a specific purpose.
  `static final InitiativeType`
  `EXERCISE`
  Specific performance of a function or group of functions.
  `static final InitiativeType`
  `EXPERIMENT`
  Process designed to find if something is effective or valid.
  `static final InitiativeType`
  `INVESTIGATION`
  Search or systematic inquiry.
  `static final InitiativeType`
  `MISSION`
  Specific operation of a data collection system.
  `static final InitiativeType`
  `OPERATION`
  Action that is part of a series of actions.
  `static final InitiativeType`
  `PLATFORM`
  Vehicle or other support base that holds a sensor.
  `static final InitiativeType`
  `PROCESS`
  Method of doing something involving a number of steps.
  `static final InitiativeType`
  `PROGRAM`
  Specific planned activity.
  `static final InitiativeType`
  `PROJECT`
  Organized undertaking, research, or development.
  `static final InitiativeType`
  `SENSOR`
  Device or piece of equipment which detects or records.
  `static final InitiativeType`
  `STUDY`
  Examination or investigation.
  `static final InitiativeType`
  `TASK`
  Piece of work.
  `static final InitiativeType`
  `TRIAL`
  Process of testing to discover or demonstrate something.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InitiativeType[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static InitiativeType`
  `valueOf(String code)`
  Returns the initiative type that matches the given string, or returns a new one if none match it.
  `static InitiativeType[]`
  `values()`
  Returns the list of `InitiativeType`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CAMPAIGN

    @UML(identifier="campaign", obligation=CONDITIONAL, specification=ISO_19115) public static final InitiativeType CAMPAIGN
    Series of organized planned actions.

  - ### COLLECTION

    @UML(identifier="collection", obligation=CONDITIONAL, specification=ISO_19115) public static final InitiativeType COLLECTION
    Accumulation of datasets assembled for a specific purpose.

  - ### EXERCISE

    @UML(identifier="exercise", obligation=CONDITIONAL, specification=ISO_19115) public static final InitiativeType EXERCISE
    Specific performance of a function or group of functions.

  - ### EXPERIMENT

    @UML(identifier="experiment", obligation=CONDITIONAL, specification=ISO_19115) public static final InitiativeType EXPERIMENT
    Process designed to find if something is effective or valid.

  - ### INVESTIGATION

    @UML(identifier="investigation", obligation=CONDITIONAL, specification=ISO_19115) public static final InitiativeType INVESTIGATION
    Search or systematic inquiry.

  - ### MISSION

    @UML(identifier="mission", obligation=CONDITIONAL, specification=ISO_19115) public static final InitiativeType MISSION
    Specific operation of a data collection system.

  - ### SENSOR

    @UML(identifier="sensor", obligation=CONDITIONAL, specification=ISO_19115) public static final InitiativeType SENSOR
    Device or piece of equipment which detects or records.

  - ### OPERATION

    @UML(identifier="operation", obligation=CONDITIONAL, specification=ISO_19115) public static final InitiativeType OPERATION
    Action that is part of a series of actions.

  - ### PLATFORM

    @UML(identifier="platform", obligation=CONDITIONAL, specification=ISO_19115) public static final InitiativeType PLATFORM
    Vehicle or other support base that holds a sensor.

  - ### PROCESS

    @UML(identifier="process", obligation=CONDITIONAL, specification=ISO_19115) public static final InitiativeType PROCESS
    Method of doing something involving a number of steps.

  - ### PROGRAM

    @UML(identifier="program", obligation=CONDITIONAL, specification=ISO_19115) public static final InitiativeType PROGRAM
    Specific planned activity.

  - ### PROJECT

    @UML(identifier="project", obligation=CONDITIONAL, specification=ISO_19115) public static final InitiativeType PROJECT
    Organized undertaking, research, or development.

  - ### STUDY

    @UML(identifier="study", obligation=CONDITIONAL, specification=ISO_19115) public static final InitiativeType STUDY
    Examination or investigation.

  - ### TASK

    @UML(identifier="task", obligation=CONDITIONAL, specification=ISO_19115) public static final InitiativeType TASK
    Piece of work.

  - ### TRIAL

    @UML(identifier="trial", obligation=CONDITIONAL, specification=ISO_19115) public static final InitiativeType TRIAL
    Process of testing to discover or demonstrate something.

- ## Method Details

  - ### values

    public static InitiativeType[] values()
    Returns the list of `InitiativeType`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public InitiativeType[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<InitiativeType>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static InitiativeType valueOf(String code)
    Returns the initiative type that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.